Package org.drinkless.tdlib

# Class TdApi.StarRevenueStatistics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarRevenueStatistics

Enclosing class:
  `TdApi`

public static class TdApi.StarRevenueStatistics extends TdApi.Object
A detailed statistics about Telegram Stars earned by a user or a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StatisticalGraph`
  `revenueByDayGraph`
  A graph containing amount of revenue in a given day.
  `TdApi.StarRevenueStatus`
  `status`
  Telegram Star revenue status.
  `double`
  `usdRate`
  Current conversion rate of a Telegram Star to USD.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarRevenueStatistics()`
  A detailed statistics about Telegram Stars earned by a user or a chat.
  `StarRevenueStatistics(TdApi.StatisticalGraph revenueByDayGraph, TdApi.StarRevenueStatus status, double usdRate)`
  A detailed statistics about Telegram Stars earned by a user or a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### revenueByDayGraph

    public TdApi.StatisticalGraph revenueByDayGraph
    A graph containing amount of revenue in a given day.

  - ### status

    public TdApi.StarRevenueStatus status
    Telegram Star revenue status.

  - ### usdRate

    public double usdRate
    Current conversion rate of a Telegram Star to USD.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarRevenueStatistics

    public StarRevenueStatistics()
    A detailed statistics about Telegram Stars earned by a user or a chat.

  - ### StarRevenueStatistics

    public StarRevenueStatistics(TdApi.StatisticalGraph revenueByDayGraph, TdApi.StarRevenueStatus status, double usdRate)
    A detailed statistics about Telegram Stars earned by a user or a chat.
    Parameters:
      `revenueByDayGraph` - A graph containing amount of revenue in a given day.
      `status` - Telegram Star revenue status.
      `usdRate` - Current conversion rate of a Telegram Star to USD.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR